import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const avicultureGivePermissionService = createAsyncThunk(
  "AVICULTURE_GIVE_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post(
      "poultry_allow_city_province/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
